## org.apache.ivy.plugins.report
Class XmlReportParser

    java.lang.Object
      org.apache.ivy.plugins.report.XmlReportParser

    public class XmlReportParser

extends java.lang.Object

Constructor Summary
`XmlReportParser()`

Method Summary
`ArtifactDownloadReport[]` `getArtifactReports()`
`Artifact[]` `getArtifacts()`
`ModuleRevisionId[]` `getDependencyRevisionIds()`
`MetadataArtifactDownloadReport` `getMetadataArtifactReport(ModuleRevisionId id)`
`ModuleRevisionId[]` `getRealDependencyRevisionIds()`
`ModuleRevisionId` `getResolvedModule()` Returns the `ModuleRevisionId` of the resolved module.
`boolean` `hasError()`
`void` `parse(java.io.File report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlReportParser

    public XmlReportParser()

Method Detail

### parse

    public void parse(java.io.File report)
               throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### getArtifacts

    public Artifact[] getArtifacts()

### getArtifactReports

    public ArtifactDownloadReport[] getArtifactReports()

### getDependencyRevisionIds

    public ModuleRevisionId[] getDependencyRevisionIds()

### getRealDependencyRevisionIds

    public ModuleRevisionId[] getRealDependencyRevisionIds()

### getMetadataArtifactReport

    public MetadataArtifactDownloadReport getMetadataArtifactReport(ModuleRevisionId id)

### getResolvedModule

    public ModuleRevisionId getResolvedModule()

  Returns the `ModuleRevisionId` of the resolved module.

### hasError

    public boolean hasError()